PBKDF2 (RFC 8018)
Official docs outline
5 sections- Salt and iteration count
Choosing salts and iteration counts.
- PBKDF2 algorithm
Iterated PRF block construction.
- PBES2 encryption scheme
Password-based encryption using PBKDF2.
- Password-based key derivation (SP 800-132)
NIST recommendations for PBKDF.
- Work factor guidance (OWASP)
Current recommended iteration counts.
Each section links to the official page. Titles and summaries by Extra Credit; the docs belong to their authors.
More in Cryptography
All 20- ChaCha20-Poly1305 (RFC 8439)
- ECDSA and Elliptic Curves (FIPS 186-5)
- Ed25519 and EdDSA (RFC 8032)
- HKDF (RFC 5869)
- HMAC (RFC 2104)
- OpenPGP (RFC 9580)
- PKCS Standards
- Post-Quantum Cryptography (FIPS 203, 204, 205)
- RSA and PKCS #1 (RFC 8017)
- scrypt (RFC 7914)
- SHA-2 (FIPS 180-4)
- SHA-3 and Keccak (FIPS 202)